curl -X GET "https://scrape.st/telegram/channel/-10012345678/participants/search?q=alex&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 50,
"participants": [
{
"id": "123456789",
"username": "alex_dev",
"firstName": "Alex",
"lastName": "Smith",
"rank": "admin",
"joinDate": 1714567890
}
]
}
Telegram Queries
Search Participants
Search participants in a Telegram channel or group
GET
/
telegram
/
channel
/
{channelId}
/
participants
/
search
curl -X GET "https://scrape.st/telegram/channel/-10012345678/participants/search?q=alex&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 50,
"participants": [
{
"id": "123456789",
"username": "alex_dev",
"firstName": "Alex",
"lastName": "Smith",
"rank": "admin",
"joinDate": 1714567890
}
]
}
Search for participants (members) within a specific Telegram group or channel.
Path Parameters
string
required
The Telegram channel username (e.g.
@durov) or numeric IDQuery Parameters
string
required
Search query string (1-1000 characters). You can also use
query instead of
q.number
default:"20"
Number of participants to return (1-100)
Response
number
Total number of participants found
array
curl -X GET "https://scrape.st/telegram/channel/-10012345678/participants/search?q=alex&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 50,
"participants": [
{
"id": "123456789",
"username": "alex_dev",
"firstName": "Alex",
"lastName": "Smith",
"rank": "admin",
"joinDate": 1714567890
}
]
}